Advanced digitizing toolbar not shown on first install
Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20312

Description

On a clean first install of QGIS, the "Advanced Digitizing Toolbar" is not shown although it is checked as so in the settings.

To view this toolbar, one shall:

1. configuration -> uncheck the toolbar

2. Close/reopen QGIS

3. configuration -> check the toolbar

4. Close/reopen QGIS

It is quite unintuitive, and I'm not all users will achieve this path...

History

#1 - 2015-02-13 11:53 AM - Jürgen Fischer

- Subject changed from Advanced digitizng toolbar not shown on first install to Advanced digitizing toolbar not shown on first install

#2 - 2015-06-09 08:56 AM - Jürgen Fischer

- Status changed from Open to Feedback

AFAICT it's not initially checked (renamed UI/state to test) and when you check it appears.

#3 - 2015-06-09 09:01 AM - Paolo Cavallini

- Affected QGIS version changed from 2.6.0 to 2.8.2

- Target version changed from Future Release - High Priority to Future Release - Nice to have

- Priority changed from High to Normal

I agree that it should be checked by default. In fact, it should not even be called Advanced, as it includes pretty basic functions.

#4 - 2015-12-19 02:10 PM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2025-04-27 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

